Subject: Re: Strange UDP binding behavior (SO_BINDTODEVICE)

From: Kevin Dwyer <[email-masked]>
Date: Tue, 7 Oct 2003 17:08:23 -0400

On Tue, 07 Oct 2003 15:51:57 -0500
Casey Carter <[email-masked]> wrote:

> IMHO, the delivery should weigh sk_bound_dev_if much more strongly (7
> instead of 2), so that if-bound sockets are always favored over
> non-if-bound.  I would be happy to submit the (trivial) patch to do so
> if the networking gurus agree?

Any possibility of getting this behavior into 2.4 as well?  Albeit,
without the scoring since that's obviously a new concept introduced by
2.6. (Which I prefer; well done.)

I confess that I don't know who to talk to about such a change.

-- 
- kpd
"If at first you don't succeed, redefine success." - Anonymous